# OhDear Integration

Integrates your drupal website with the [OhDear](https://ohdear.app) monitoring app.

### Healthchecks

Provides `json/oh-dear-health-check-results` endpoint for OhDear healthchecks.
These are converted sensor results from [Monitoring module](https://drupal.org/project/monitoring).
Endpoint requires configuraton of OhDear Healthcheck Secret that enables
access of OhDear service to the endpoint.

### Scheduled Tasks

With configuring the OhDear cron uri, website will start to send data on cron
runs to OhDear service. Ping uri is first obtained on OhDear under Scheduled
tasks tab.

### Drush commands

This module provides two drush commands to work with OhDear API.
`drush ohdear:maintenance` allows you to inspect/start/stop
[maintenance periods](https://ohdear.app/docs/features/how-to-configure-maintenance-windows)
on OhDear App.

`drush ohdear:info` prints basic info about configured site.

## Configuration

### Healthchecks

`/admin/config/system/ohdear-settings` configure `oh-dear-health-check-secret`
and enable or disable monitoring sensors plugins. Secret is provided by OhDear
service at `ohdear.app/sites/<site-id>/settings/application-health`.

Enabled monitoring sensors are converted into OhDear Healthchecks. Monitoring
sensors are configured at /admin/config/system/monitoring/settings. For nicer
health checks overview we've developed a sensor that combines requirements
hook (called RequirementsRecap). We recommend using it.

### Cron

Obtain the ping uri under Scheduled tasks tab on OhDear app
(`https://ohdear.app/sites/<site-id>/check/scheduled-tasks`) and set it in
settings form. OhDear integration module will start to notify OhDear service
about cron runs. Currently only default drupal cron is supported.

### API key and site id

API key enables access of OhDear App API. API key is obtained from the OhDear
service. For more info read the
[OhDear API docs](https://ohdear.app/docs/integrations/the-oh-dear-api#get-your-api-token).
If API key is not provided, some features (mainly drush commands) of this
module will not work.
